Package io.vertx.json.schema

## Class JsonSchemaOptions

- java.lang.Object
- - io.vertx.json.schema.JsonSchemaOptions

-     public class JsonSchemaOptions
      extends Object

  Configuration options for the Json-Schema validator
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonSchemaOptions()` |
    `JsonSchemaOptions​(JsonObject json)` |
    `JsonSchemaOptions​(JsonSchemaOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBaseUri()` |
    `Draft` | `getDraft()` |
    `OutputFormat` | `getOutputFormat()` |
    `JsonSchemaOptions` | `setBaseUri​(String baseUri)` |
    `JsonSchemaOptions` | `setDraft​(Draft draft)` |
    `JsonSchemaOptions` | `setOutputFormat​(OutputFormat outputFormat)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchemaOptions

          public JsonSchemaOptions()

    - #### JsonSchemaOptions

          public JsonSchemaOptions​(JsonObject json)

    - #### JsonSchemaOptions

          public JsonSchemaOptions​(JsonSchemaOptions other)

  - ### Method Detail

    - #### getBaseUri

          public String getBaseUri()

    - #### setBaseUri

          public JsonSchemaOptions setBaseUri​(String baseUri)

    - #### getDraft

          public Draft getDraft()

    - #### setDraft

          public JsonSchemaOptions setDraft​(Draft draft)

    - #### getOutputFormat

          public OutputFormat getOutputFormat()

    - #### setOutputFormat

          public JsonSchemaOptions setOutputFormat​(OutputFormat outputFormat)

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`